Loading...
Searching...
No Matches
caf::upstream_msg::forced_drop Struct Reference

Propagates a fatal error from sinks to sources. More...

`#include <upstream_msg.hpp>`

## Public Types

using | outer_type = upstream_msg
| Allows the testing DSL to unbox this type automagically.

## Public Attributes

error | reason
| Reason for shutting down the stream.

## Related Symbols

(Note that these are not member symbols.)
template<class Inspector>
Inspector::result_type | inspect (Inspector &f, upstream_msg::forced_drop &x)

## Detailed Description

Propagates a fatal error from sinks to sources.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/upstream_msg.hpp